%global momorel 2

Summary: TagLib Audio Meta-Data Library
Name: taglib
Version: 1.6.3
Release: %{momorel}m%{?dist}
License: LGPLv2 and MPL
Group: Development/Libraries
URL: http://developer.kde.org/~wheeler/taglib.html
Source0: http://developer.kde.org/~wheeler/files/src/%{name}-%{version}.tar.gz
NoSource: 0
Patch0: %{name}-1.5rc1-multilib.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: cmake
BuildRequires: zlib-devel

%description
TagLib is a library for reading and editing the meta-data of several popular audio formats. 
Currently it supports both ID3v1 and ID3v2 for MP3 files, Ogg Vorbis comments and ID3 tags 
and Vorbis comments in FLAC files.

%package devel
Summary: TagLib Audio Meta-Data Library
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}
Requires: pkgconfig

%description devel
devel files for TagLib Audio Meta-Data Library

%prep
%setup -q
%patch0 -p1 -b .multilib

%build
CFLAGS="%{optflags}" \
CXXFLAGS="%{optflags}" \
mkdir -p %{_target_platform}
pushd %{_target_platform}
%{cmake} \
	-DWITH_ASF=1 \
	-DWITH_MP4=1 \
	..
popd

make %{?_smp_mflags} -C %{_target_platform}

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}
make install DESTDIR=%{buildroot} -C %{_target_platform}

# remove unwanting files
rm -rf examples/.deps
rm -rf examples/Makefile*
rm -f %{buildroot}%{_libdir}/libtag*.la

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%files
%defattr(-,root,root)
%doc AUTHORS COPYING.* INSTALL NEWS
%{_libdir}/libtag.so.*
%{_libdir}/libtag_c.so.*

%files devel
%defattr(-,root,root)
%doc examples
%{_bindir}/%{name}-config
%{_includedir}/%{name}
%{_libdir}/pkgconfig/%{name}.pc
%{_libdir}/pkgconfig/%{name}_c.pc
%{_libdir}/libtag.so
%{_libdir}/libtag_c.so

%changelog
* Tue Aug 31 2010 Yohsuke Ooi <meke@momonga-linux.org>
- (1.6.3-2m)
- full rebuild for mo7 release

* Wed May 12 2010 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.6.3-1m)
- version 1.6.3

* Sat Apr 24 2010 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.6.1-3m)
- use BuildRequires

* Sat Nov 14 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (1.6.1-2m)
- rebuild against gcc-4.4 and glibc-2.11

* Sun Nov  8 2009 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.6.1-1m)
- version 1.6.1

* Fri Sep 25 2009 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.6-1m)
- version 1.6

* Wed Jan 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (1.5-2m)
- rebuild against rpm-4.6

* Fri May 30 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (1.5-1m)
- update to 1.5 (sync with Fedora devel)

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.4-6m)
- rebuild against gcc43

* Wed Feb 13 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (1.4-5m)
- %%NoSource -> NoSource

* Wed Jan 16 2008 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (1.4-4m)
- add patch for gcc43, generated by gen43patch(v1)

* Wed Mar 28 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.4-3m)
- taglib-devel Requires: pkgconfig

* Mon Feb  5 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.4-2m)
- import taglib-1.4_wchar.diff from http://foetida.jaist.ac.jp:37565/~yaz/diary/
  http://foetida.jaist.ac.jp:37565/~yaz/diary/?20060711
  http://vdr.jp/d/20061124.html#p01

* Mon Aug  1 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.4-1m)
- update to version 1.4 (for amarok-1.3-0.3.1m)

* Mon Nov 08 2004 Masayuki SANO <nosanosa@momonga-linux.org>
- (1.3.1-1m)
- update to 1.3.1

* Mon Sep 27 2004 Hiroyuki Koga <kuma@momonga-linux.org>
- (1.3-2m)
- rebuild against gcc-c++-3.4.1
- add BuildPrereq: gcc-c++

* Wed Sep 15 2004 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.3-1m)
- update to version 1.3

* Tue Aug 17 2004 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.2-1m)
- update to version 1.2 (required by amarok-1.1)
- change URL

* Sun Mar 21 2004 Ryu SASAOKA <ryu@momonga-linux.org>
- (1.0-2m)
- change docdir %%defattr

* Mon Feb  9 2004 Masayuki SANO <sano@acs.i.kyoto-u.ac.jp>
- (1.0-1m)
- import to Momonga (required by kdemultimedia-3.2.0)
